#include <bits/stdc++.h>


using namespace std;

int main(){
	int x1,y1; // Prva tacka
	int x2,y2; //Druga tacka
	cin>>x1; cin>>y1;
	cin>>x2; cin>>y2;
	if(abs(x1-x2)==abs(y1-y2)){
		cout<<1;
	}else if(x1==x2|| y1==y2){
		cout<<2;
	}else{
		cout<<0;
	}


}